<?php

namespace Ig\IgNewsletter\ViewHelpers;


use TYPO3\CMS\Core\Utility\GeneralUtility;

class StyleViewHelper extends \TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper {
 

  /**
     * Initialize arguments.
     */
    public function initializeArguments()
    {
      $this->registerArgument('name', 'string', 'style Name (first, last,...)', false, '0' );
      $this->registerArgument('class', 'string', 'Class Name', false );
    }


    public function render()  {
      $setupUtility=GeneralUtility::makeInstance(\Ig\IgNewsletter\Utility\SetupUtility::class);
      return $setupUtility->getStyle($this->arguments['name']);
    }

}